Linux(CentOS6.5 x64)下版本安装及升级kangle+EasyPanel 技术贴

用户 馨娅 2019-8-6 689

说明:(easypanel集成了kangle web 服务器和mysql,仅支持centos 5和centos 6) 。

执行下面的命令即可,安装程序将自动安装或者升级:

yum -y install wget;wget http://kangle.odata.cc/start;sh start

运行上面的安装shell脚本,选择自己需要的版本和软件。会自动安装kangle,easypanel,proftpd,mysql,安装完后打开。

http://ip:3312/admin/

登录才能完成最后的安装。

初始安装登陆

帐号: admin 密码: kangle

centos系统下easypanel集成的php默认装的是php53,语言模块里显示的php52其实是php53版本。

安装完成后,使用方法:

管理面板网址

http://服务器ip:3312/admin/

独立网站管理

http://服务器ip:3312/vhost/

启动kangle 

/vhs/kangle/bin/kangle

注意:linux需要将3312、3311端口添加至防火墙允许列表中。命令:

iptables -I INPUT -p tcp --dport 3312 -j ACCEPTiptables -I INPUT -p tcp --dport 3311 -j ACCEPTservice iptables saveservice iptables restart

下面的参数是添加在:/vhs/kangle/bin/kangle 后面。

[-h --help] 可以看到详细的参数说明[-d level] 调试运行程序[-r --reload] 重新加载所有配置文件[--revh] 重新加载etc/vh.xml文件(etc/vh.xml)[--reboot] 平滑重起程序(原有程序会保证服务完客户),一般用来升级用的[-z [disk_dir]] 建立硬盘cache目录[-v --version] 查看程序版本[-a apache_config_file] 转换的Apache配置[-q] 关闭程序[-n] start program not in daemon


最新回复 (0)
返回
发新帖